Index: trunk/source/processes/hadronic/cross_sections/src/G4VCrossSectionDataSet.cc
===================================================================
--- trunk/source/processes/hadronic/cross_sections/src/G4VCrossSectionDataSet.cc	(revision 1337)
+++ trunk/source/processes/hadronic/cross_sections/src/G4VCrossSectionDataSet.cc	(revision 1340)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4VCrossSectionDataSet.cc,v 1.8 2009/01/24 11:54:47 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4VCrossSectionDataSet.cc,v 1.9 2010/07/05 13:39:11 vnivanch Exp $
+// GEANT4 tag $Name: hadr-cross-V09-03-12 $
 //
 // -------------------------------------------------------------------
@@ -42,7 +42,8 @@
 #include "G4VCrossSectionDataSet.hh"
 #include "G4CrossSectionDataSetRegistry.hh"
+#include "G4Pow.hh"
 
-G4VCrossSectionDataSet::G4VCrossSectionDataSet() :
-  verboseLevel(0)
+G4VCrossSectionDataSet::G4VCrossSectionDataSet(const G4String& nam) :
+  verboseLevel(0),minKinEnergy(0.0),maxKinEnergy(DBL_MAX),name(nam) 
 {
   G4CrossSectionDataSetRegistry::Instance()->Register(this);
@@ -54,6 +55,5 @@
 }
 
-// Override this method to test for particle and isotope applicability
-
+// Override thess methods to test for particle and isotope applicability
 G4bool 
 G4VCrossSectionDataSet::IsZAApplicable(const G4DynamicParticle*,
@@ -63,4 +63,10 @@
 }
 
+G4bool 
+G4VCrossSectionDataSet::IsIsoApplicable(const G4DynamicParticle*,
+					G4int /*Z*/, G4int /*A*/)
+{
+  return true;
+}
 
 G4double 
@@ -81,4 +87,12 @@
                                              G4double /*aTemperature*/)
 {
-  return 62*std::pow(AA, 2./3.)*millibarn;
+  return 62*G4Pow::GetInstance()->A23(AA)*millibarn;
 }
+
+G4double 
+G4VCrossSectionDataSet::GetZandACrossSection(const G4DynamicParticle*,
+                                             G4int /*Z*/, G4int N,
+                                             G4double /*aTemperature*/)
+{
+  return 62*G4Pow::GetInstance()->Z23(N)*millibarn;
+}
